require "player"
require "enemy"
require "health"
require "spawn"

function startup()
	music = love.audio.newSource("Blaze.mp3")
	music:setVolume(2)
	Medium = love.graphics.newFont(30)
	love.graphics.setFont(Medium)
  --[x] object.new() [x]
  
  -- Spawn a new meteor.
	meteor.new()
  
  
	love.graphics.setBackgroundColor(255,255,255)
	baseTimer = 0
	seconds = 0
end


function love.load()
	startup()
	music:play()

end

function love.update(dt)
	timer(dt)
	player.update(dt)
	--enemy.update(dt)
  
  -- Traverse through the table "meteorList" and update each meteor.
  for i, v in ipairs(meteorList) do
    v:update(dt)
  end
  
  
	levelCollide()
	playerCollide()
end

function love.keyreleased(key)
	playerReset(key)
end

function love.draw()
	love.graphics.setColor(0,0,0)
	love.graphics.rectangle("fill", 0, player.y + 68, 800, 100)
	drawPlayer()
	--drawEnemy()
  --[x] updateObject() [x]
  
  -- Traverse through the table "meteorList" and draw each meteor.
  for i, v in ipairs(meteorList) do
    v:draw(dt)
  end
  
	love.graphics.print("Music: 'Blaze' by Valcos", 0, 0, 0)
	love.graphics.print(seconds, 0, 30, 0)
end

function love.quit()
	love.event.quit()
end

function timer(dt)
		baseTimer = baseTimer + dt
	if baseTimer > 1 then
  		baseTimer = baseTimer - 1
	 	seconds = seconds + 1
	 	--[x] updateObject() [x]
    
    -- Create a new meteor every whenever, with a random x,y.
    meteor.new()
	end
end


-- I added this to show how to pass variables into a new meteor. In this case, we're passing the mouse x,y coordinates and using them instead of randomly generated ones.
function love.mousepressed(x,y,b)
  meteor.new({x=x,y=y})
end